summaryrefslogtreecommitdiff
path: root/tests.branching
diff options
context:
space:
mode:
authorRichard Maw <richard.maw@codethink.co.uk>2013-09-24 14:47:58 +0000
committerRichard Maw <richard.maw@codethink.co.uk>2013-09-24 14:47:58 +0000
commit800b507a85adf435c45ba175b619e059162913bf (patch)
tree3ab5356ca48e9a52e923a5096eaf26344f4255c7 /tests.branching
parent9321f628fb799d6385810b7e7a06af4db18f26df (diff)
downloadmorph-800b507a85adf435c45ba175b619e059162913bf.tar.gz
tests.branching: Add build after petrify test
This was missing from the test suite, and allowed a broken petrify to slip through. This was not added to the set of yarns, since they do not currently have any build tests.
Diffstat (limited to 'tests.branching')
-rwxr-xr-xtests.branching/build-after-petrify.script31
1 files changed, 31 insertions, 0 deletions
diff --git a/tests.branching/build-after-petrify.script b/tests.branching/build-after-petrify.script
new file mode 100755
index 00000000..d3b75f07
--- /dev/null
+++ b/tests.branching/build-after-petrify.script
@@ -0,0 +1,31 @@
+#!/bin/sh
+#
+# Copyright (C) 2013 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+## Verify systems can be built after "morph petrify"
+
+set -eu
+
+. "$SRCDIR/tests.branching/setup-second-chunk"
+
+cd "$DATADIR/workspace"
+"$SRCDIR/scripts/test-morph" init
+"$SRCDIR/scripts/test-morph" branch test:morphs test/build-petrify master
+
+"$SRCDIR/scripts/test-morph" petrify
+
+"$SRCDIR/scripts/test-morph" build hello-system